summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2015-11-14 12:02:51 +0100
committerPacho Ramos <pacho@gentoo.org>2015-11-14 14:45:25 +0100
commit160d234e35fd3a7e2832a69c0a46c7d308769701 (patch)
tree86c0b94dafa2de0dbb8254c193664d71fd4f89b3 /x11-terms/gnome-terminal/gnome-terminal-3.18.2.ebuild
parentx11-libs/vte: Version bump (diff)
downloadgentoo-160d234e35fd3a7e2832a69c0a46c7d308769701.tar.gz
gentoo-160d234e35fd3a7e2832a69c0a46c7d308769701.tar.bz2
gentoo-160d234e35fd3a7e2832a69c0a46c7d308769701.zip
x11-terms/gnome-terminal: Version bump
Package-Manager: portage-2.2.24
Diffstat (limited to 'x11-terms/gnome-terminal/gnome-terminal-3.18.2.ebuild')
-rw-r--r--x11-terms/gnome-terminal/gnome-terminal-3.18.2.ebuild78
1 files changed, 78 insertions, 0 deletions
diff --git a/x11-terms/gnome-terminal/gnome-terminal-3.18.2.ebuild b/x11-terms/gnome-terminal/gnome-terminal-3.18.2.ebuild
new file mode 100644
index 00000000000..c4d3192d4f6
--- /dev/null
+++ b/x11-terms/gnome-terminal/gnome-terminal-3.18.2.ebuild
@@ -0,0 +1,78 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit autotools eutils gnome2 readme.gentoo
+
+DESCRIPTION="The Gnome Terminal"
+HOMEPAGE="https://wiki.gnome.org/Apps/Terminal/"
+
+LICENSE="GPL-3+"
+SLOT="0"
+IUSE="debug +gnome-shell +nautilus vanilla"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~arm-linux ~x86-linux"
+
+# FIXME: automagic dependency on gtk+[X]
+RDEPEND="
+ >=dev-libs/glib-2.40.0:2[dbus]
+ >=x11-libs/gtk+-3.10:3[X]
+ >=x11-libs/vte-0.42.1:2.91
+ >=gnome-base/dconf-0.14
+ >=gnome-base/gsettings-desktop-schemas-0.1.0
+ sys-apps/util-linux
+ x11-libs/libSM
+ x11-libs/libICE
+ gnome-shell? ( gnome-base/gnome-shell )
+ nautilus? ( >=gnome-base/nautilus-3 )
+"
+# itstool required for help/* with non-en LINGUAS, see bug #549358
+# xmllint required for glib-compile-resources, see bug #549304
+DEPEND="${RDEPEND}
+ app-text/yelp-tools
+ dev-libs/libxml2
+ dev-util/gdbus-codegen
+ dev-util/itstool
+ >=dev-util/intltool-0.50
+ sys-devel/gettext
+ virtual/pkgconfig
+"
+
+DOC_CONTENTS="To get previous working directory inherited in new opened
+ tab you will need to add the following line to your ~/.bashrc:\n
+ . /etc/profile.d/vte.sh"
+
+src_prepare() {
+ if ! use vanilla; then
+ # OpenSuSE patches, https://bugzilla.gnome.org/show_bug.cgi?id=695371
+ epatch "${FILESDIR}"/${PN}-3.18.2-transparency.patch
+ epatch "${FILESDIR}"/${PN}-3.18.2-transparency-fix-for-broken-themes.patch
+ epatch "${FILESDIR}"/${PN}-3.18.2-dark-theme.patch
+ eautoreconf
+ fi
+ gnome2_src_prepare
+}
+
+src_configure() {
+ gnome2_src_configure \
+ --disable-static \
+ --disable-migration \
+ $(use_enable debug) \
+ $(use_enable gnome-shell search-provider) \
+ $(use_with nautilus nautilus-extension) \
+ VALAC=$(type -P true)
+}
+
+src_install() {
+ DOCS="AUTHORS ChangeLog HACKING NEWS"
+ gnome2_src_install
+ readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+ gnome2_pkg_postinst
+ readme.gentoo_print_elog
+}